#pragma once

class CFTPDlg : public CDialog
{
public:
//Constructors / Destructors
  CFTPDlg(_In_opt_ CWnd* pParent = nullptr);
  CFTPDlg(const CFTPDlg&) = delete;
  CFTPDlg(CFTPDlg&&) = delete;
  ~CFTPDlg() = default; //NOLINT(modernize-use-override)

//Methods
  CFTPDlg& operator=(const CFTPDlg&) = delete;
  CFTPDlg& operator=(CFTPDlg&&) = delete;

//Member variables
  enum { IDD = IDD_FTPTRANSFER_DIALOG };
  CString m_sLocal;
  CString m_sPassword;
  CString m_sRemote;
  CString m_sUserName;
  CString m_sServer;
  BOOL m_bAscii;
  double m_dbLimit;
  BOOL m_bPasv;
  CString m_sProxy;
  DWORD m_dwConnectionTimeout;
  int m_nConnection;
  DWORD m_dwSendTimeout;
  DWORD m_dwReceiveTimeout;

protected:
//Member variables
  HICON m_hIcon;

//Methods
  void DoDataExchange(CDataExchange* pDX) override;
  BOOL OnInitDialog() override;

//Message handlers
  afx_msg void OnPaint();
  afx_msg HCURSOR OnQueryDragIcon();
  afx_msg void OnDownload();
  afx_msg void OnUpload();

  DECLARE_MESSAGE_MAP()
};
